# Class HttpHeaderParser

java.lang.Object
org.apache.tomcat.util.http.parser.HttpHeaderParser

public class HttpHeaderParser extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `HttpHeaderParser.HeaderDataSource`
  `static enum`
  `HttpHeaderParser.HeaderParsePosition`
  `static enum`
  `HttpHeaderParser.HeaderParseStatus`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HttpHeaderParser(HttpHeaderParser.HeaderDataSource source, MimeHeaders headers, boolean tolerantEol)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HttpHeaderParser.HeaderParseStatus`
  `parseHeader()`
  Parse an HTTP header.
  `void`
  `recycle()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HttpHeaderParser

    public HttpHeaderParser(HttpHeaderParser.HeaderDataSource source, MimeHeaders headers, boolean tolerantEol)

- ## Method Details

  - ### recycle

    public void recycle()

  - ### parseHeader

    public HttpHeaderParser.HeaderParseStatus parseHeader() throws IOException
    Parse an HTTP header.
    Returns:
      One of `HttpHeaderParser.HeaderParseStatus.NEED_MORE_DATA`, `HttpHeaderParser.HeaderParseStatus.HAVE_MORE_HEADERS` or `HttpHeaderParser.HeaderParseStatus.DONE`.
    Throws:
      `IOException` - If an error occurs during the parsing of the headers